#ifndef EOBJECTATTR_H
#define EOBJECTATTR_H

#include "eobject.h"
#include <QGroupBox>
#include <QJsonObject>
#include <QJsonDocument>
#include <QComboBox>

namespace Ui {
class eObjectAttr;
}

class eObjectAttr : public QGroupBox
{
    Q_OBJECT
public:
    explicit eObjectAttr(const QRectF &, const QRectF &, QWidget *parent = nullptr);
    ~eObjectAttr();

    QComboBox* borderFd;
    QComboBox* borderEffFd;

public:
    void setRLimit(const QRectF r)
    {
        m_rLimit.setX(r.x());
        m_rLimit.setY(r.y());
        m_rLimit.setWidth(r.width());
        m_rLimit.setHeight(r.height());
        //m_rLimit = r;
    }

signals:
    void sAttrChanged(const QRectF &);

public slots:
    void onAttrChanged();
    void onAttrSetting(const QRectF &);

protected slots:
    void onXChanged(int n);
    void onYChanged(int n);
    void onWChanged(int n);
    void onHChanged(int n);

private:
    Ui::eObjectAttr *ui;
    QRectF m_rLimit;
};

#endif // EOBJECTATTR_H
